org.optaplanner.core.impl.domain.variable.listener

## Class VariableListenerAdapter<Entity_>

- java.lang.Object
- - org.optaplanner.core.impl.domain.variable.listener.VariableListenerAdapter<Entity_>

- All Implemented Interfaces:
    VariableListener<Entity_>, Supply

      public abstract class VariableListenerAdapter<Entity_>
      extends Object
      implements VariableListener<Entity_>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableListenerAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterEntityAdded(ScoreDirector scoreDirector, Entity_ entity)`
    `void` | `afterEntityRemoved(ScoreDirector scoreDirector, Entity_ entity)`
    `void` | `afterVariableChanged(ScoreDirector scoreDirector, Entity_ entity)`
    `void` | `beforeEntityAdded(ScoreDirector scoreDirector, Entity_ entity)`
    `void` | `beforeEntityRemoved(ScoreDirector scoreDirector, Entity_ entity)`
    `void` | `beforeVariableChanged(ScoreDirector scoreDirector, Entity_ entity)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.domain.variable.listener.VariableListener

      `requiresUniqueEntityEvents`

- - ### Constructor Detail

    - #### VariableListenerAdapter

          public VariableListenerAdapter()

  - ### Method Detail

    - #### beforeEntityAdded

          public void beforeEntityAdded(ScoreDirector scoreDirector,
                                        Entity_ entity)

      Specified by:
        `beforeEntityAdded` in interface `VariableListener<Entity_>`
      Parameters:
        `scoreDirector` - never null
        `entity` - never null

    - #### afterEntityAdded

          public void afterEntityAdded(ScoreDirector scoreDirector,
                                       Entity_ entity)

      Specified by:
        `afterEntityAdded` in interface `VariableListener<Entity_>`
      Parameters:
        `scoreDirector` - never null
        `entity` - never null

    - #### beforeVariableChanged

          public void beforeVariableChanged(ScoreDirector scoreDirector,
                                            Entity_ entity)

      Specified by:
        `beforeVariableChanged` in interface `VariableListener<Entity_>`
      Parameters:
        `scoreDirector` - never null
        `entity` - never null

    - #### afterVariableChanged

          public void afterVariableChanged(ScoreDirector scoreDirector,
                                           Entity_ entity)

      Specified by:
        `afterVariableChanged` in interface `VariableListener<Entity_>`
      Parameters:
        `scoreDirector` - never null
        `entity` - never null

    - #### beforeEntityRemoved

          public void beforeEntityRemoved(ScoreDirector scoreDirector,
                                          Entity_ entity)

      Specified by:
        `beforeEntityRemoved` in interface `VariableListener<Entity_>`
      Parameters:
        `scoreDirector` - never null
        `entity` - never null

    - #### afterEntityRemoved

          public void afterEntityRemoved(ScoreDirector scoreDirector,
                                         Entity_ entity)

      Specified by:
        `afterEntityRemoved` in interface `VariableListener<Entity_>`
      Parameters:
        `scoreDirector` - never null
        `entity` - never null

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.